Loading...
Searching...
No Matches
seqan3::search_cfg::hit Class Reference
Search » Configuration

A dynamic configuration element to configure the hit strategy at runtime. More...

`#include <seqan3/search/configuration/hit.hpp>`

Inheritance diagram for seqan3::search_cfg::hit:
[legend]

## Public Types

using | hit_variant_type = std::variant<detail::empty_type, hit_all, hit_all_best, hit_single_best, hit_strata>
| The type of the std::variant holding the hit configuration element alternatives.

## Public Member Functions

Constructors, assignment and destructor
| hit ()=default
| Defaulted.
| hit (hit const &)=default
| Defaulted.
| hit (hit &&)=default
| Defaulted.
hit & | operator= (hit const &)=default
| Defaulted.
hit & | operator= (hit &&)=default
| Defaulted.
| ~hit ()=default
| Defaulted.
template<typename hit_config_t> requires pack_traits::contains<hit_config_t, hit_all, hit_all_best, hit_single_best, hit_strata>
| hit (hit_config_t hit_config) noexcept
| Sets the given configuration element to the dynamic hit configuration element.
template<typename hit_config_t> requires pack_traits::contains<hit_config_t, hit_all, hit_all_best, hit_single_best, hit_strata>
hit & | operator= (hit_config_t hit_config) noexcept
| Sets the given configuration element to the dynamic hit configuration element.

## Public Attributes

hit_variant_type | hit_variant {}
| A std::variant over the valid hit configuration elements.

## Detailed Description

A dynamic configuration element to configure the hit strategy at runtime.

See also
  Configuration
  Section on Hit Strategy

## Member Typedef Documentation

## hit_variant_type

using seqan3::search_cfg::hit::hit_variant_type = std::variant<detail::empty_type, hit_all, hit_all_best, hit_single_best, hit_strata>

The type of the std::variant holding the hit configuration element alternatives.

The additional detail::empty_type marks the seqan3::search_cfg::hit as default constructed, with no selected hit configuration which can be checked within the search algorithm.

## Constructor & Destructor Documentation

## hit()

template<typename hit_config_t>
requires pack_traits::contains<hit_config_t, hit_all, hit_all_best, hit_single_best, hit_strata>

seqan3::search_cfg::hit::hit | ( | hit_config_t | hit_config | ) |

inline explicit noexcept

Sets the given configuration element to the dynamic hit configuration element.

Template Parameters

  hit_config_t | The type of the hit configuration element to set.

Parameters

  [in] | hit_config | The hit configuration element to set.

Only one of the static hit configuration elements are valid: seqan3::search_cfg::hit_all, seqan3::search_cfg::hit_all_best, seqan3::search_cfg::hit_single_best and seqan3::search_cfg::hit_strata.

## Member Function Documentation

## operator=()

template<typename hit_config_t>
requires pack_traits::contains<hit_config_t, hit_all, hit_all_best, hit_single_best, hit_strata>

hit & seqan3::search_cfg::hit::operator= | ( | hit_config_t | hit_config | ) |

inline noexcept

Sets the given configuration element to the dynamic hit configuration element.

Template Parameters

  hit_config_t | The type of the hit configuration element to set.

Parameters

  [in] | hit_config | The hit configuration element to set.

Only one of the static hit configuration elements are valid: seqan3::search_cfg::hit_all, seqan3::search_cfg::hit_all_best, seqan3::search_cfg::hit_single_best and seqan3::search_cfg::hit_strata.

The documentation for this class was generated from the following file:

- hit.hpp

Hide me